import { HttpStatus, HttpException } from '@nestjs/common';
import { VistaService } from './vista.service';
import { Vista } from './vista.entity';
import { CreateVistaDto } from './dto/create-vista.dto';
import { UpdateVistaDto } from './dto/update-vista.dto';
export declare class VistaController {
    private vistaService;
    constructor(vistaService: VistaService);
    getVistaByTipoVista(tipo_vista_id: number): Promise<{
        statusCode: HttpStatus;
        message: string;
        data: HttpException | {
            created_at: string;
            updated_at: string;
            tipoVista: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                vista: Vista[];
            };
            id: number;
            nombre: string;
            deleted_at: Date;
            tipo_vista_id: number;
            inmuebleVistas: import("../inmueble-vistas/inmueble-vistas.entity").InmuebleVistas[];
        }[];
    }>;
    getVista(page: number, limit: number): Promise<{
        statusCode: HttpStatus;
        message: string;
        data: HttpException | {
            data: {
                created_at: string;
                updated_at: string;
                tipoVista: {
                    created_at: string;
                    updated_at: string;
                    id: number;
                    nombre: string;
                    deleted_at: Date;
                    vista: Vista[];
                };
                id: number;
                nombre: string;
                deleted_at: Date;
                tipo_vista_id: number;
                inmuebleVistas: import("../inmueble-vistas/inmueble-vistas.entity").InmuebleVistas[];
            }[];
            meta: {
                total: number;
                page: number;
                limit: number;
                totalPages: number;
            };
        };
    }>;
    getVistaAll(): Promise<{
        statusCode: HttpStatus;
        message: string;
        data: HttpException | {
            created_at: string;
            updated_at: string;
            tipoVista: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                vista: Vista[];
            };
            id: number;
            nombre: string;
            deleted_at: Date;
            tipo_vista_id: number;
            inmuebleVistas: import("../inmueble-vistas/inmueble-vistas.entity").InmuebleVistas[];
        }[];
    }>;
    getVistaSearch(page: number, limit: number, body: Record<string, any>): Promise<{
        data: HttpException | {
            data: {
                created_at: string;
                updated_at: string;
                perfil: {
                    created_at: string;
                    updated_at: string;
                    id: number;
                    nombre: string;
                    deleted_at: Date;
                    vista: Vista[];
                };
                id: number;
                nombre: string;
                deleted_at: Date;
                tipo_vista_id: number;
                tipoVista: import("../tipo-vista/tipo-vista.entity").TipoVista;
                inmuebleVistas: import("../inmueble-vistas/inmueble-vistas.entity").InmuebleVistas[];
            }[];
            meta: {
                total: number;
                page: number;
                limit: number;
                totalPages: number;
            };
        };
    }>;
    getVistaById(id: number): Promise<HttpException | {
        created_at: string;
        updated_at: string;
        perfil: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            vista: Vista[];
        };
        id: number;
        nombre: string;
        deleted_at: Date;
        tipo_vista_id: number;
        tipoVista: import("../tipo-vista/tipo-vista.entity").TipoVista;
        inmuebleVistas: import("../inmueble-vistas/inmueble-vistas.entity").InmuebleVistas[];
    }>;
    createVista(newVista: CreateVistaDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            perfil: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                vista: Vista[];
            };
            id: number;
            nombre: string;
            deleted_at: Date;
            tipo_vista_id: number;
            tipoVista: import("../tipo-vista/tipo-vista.entity").TipoVista;
            inmuebleVistas: import("../inmueble-vistas/inmueble-vistas.entity").InmuebleVistas[];
        };
        status: HttpStatus;
        message: string;
    }>;
    updateVista(id: number, vista: UpdateVistaDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            tipoVista: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                vista: Vista[];
                length: number;
                toString(): string;
                toLocaleString(): string;
                toLocaleString(locales: string | string[], options?: Intl.NumberFormatOptions & Intl.DateTimeFormatOptions): string;
                pop(): import("../tipo-vista/tipo-vista.entity").TipoVista;
                push(...items: import("../tipo-vista/tipo-vista.entity").TipoVista[]): number;
                concat(...items: ConcatArray<import("../tipo-vista/tipo-vista.entity").TipoVista>[]): import("../tipo-vista/tipo-vista.entity").TipoVista[];
                concat(...items: (import("../tipo-vista/tipo-vista.entity").TipoVista | ConcatArray<import("../tipo-vista/tipo-vista.entity").TipoVista>)[]): import("../tipo-vista/tipo-vista.entity").TipoVista[];
                join(separator?: string): string;
                reverse(): import("../tipo-vista/tipo-vista.entity").TipoVista[];
                shift(): import("../tipo-vista/tipo-vista.entity").TipoVista;
                slice(start?: number, end?: number): import("../tipo-vista/tipo-vista.entity").TipoVista[];
                sort(compareFn?: (a: import("../tipo-vista/tipo-vista.entity").TipoVista, b: import("../tipo-vista/tipo-vista.entity").TipoVista) => number): import("../tipo-vista/tipo-vista.entity").TipoVista & import("../tipo-vista/tipo-vista.entity").TipoVista[];
                splice(start: number, deleteCount?: number): import("../tipo-vista/tipo-vista.entity").TipoVista[];
                splice(start: number, deleteCount: number, ...items: import("../tipo-vista/tipo-vista.entity").TipoVista[]): import("../tipo-vista/tipo-vista.entity").TipoVista[];
                unshift(...items: import("../tipo-vista/tipo-vista.entity").TipoVista[]): number;
                indexOf(searchElement: import("../tipo-vista/tipo-vista.entity").TipoVista, fromIndex?: number): number;
                lastIndexOf(searchElement: import("../tipo-vista/tipo-vista.entity").TipoVista, fromIndex?: number): number;
                every<S extends import("../tipo-vista/tipo-vista.entity").TipoVista>(predicate: (value: import("../tipo-vista/tipo-vista.entity").TipoVista, index: number, array: import("../tipo-vista/tipo-vista.entity").TipoVista[]) => value is S, thisArg?: any): this is S[];
                every(predicate: (value: import("../tipo-vista/tipo-vista.entity").TipoVista, index: number, array: import("../tipo-vista/tipo-vista.entity").TipoVista[]) => unknown, thisArg?: any): boolean;
                some(predicate: (value: import("../tipo-vista/tipo-vista.entity").TipoVista, index: number, array: import("../tipo-vista/tipo-vista.entity").TipoVista[]) => unknown, thisArg?: any): boolean;
                forEach(callbackfn: (value: import("../tipo-vista/tipo-vista.entity").TipoVista, index: number, array: import("../tipo-vista/tipo-vista.entity").TipoVista[]) => void, thisArg?: any): void;
                map<U>(callbackfn: (value: import("../tipo-vista/tipo-vista.entity").TipoVista, index: number, array: import("../tipo-vista/tipo-vista.entity").TipoVista[]) => U, thisArg?: any): U[];
                filter<S extends import("../tipo-vista/tipo-vista.entity").TipoVista>(predicate: (value: import("../tipo-vista/tipo-vista.entity").TipoVista, index: number, array: import("../tipo-vista/tipo-vista.entity").TipoVista[]) => value is S, thisArg?: any): S[];
                filter(predicate: (value: import("../tipo-vista/tipo-vista.entity").TipoVista, index: number, array: import("../tipo-vista/tipo-vista.entity").TipoVista[]) => unknown, thisArg?: any): import("../tipo-vista/tipo-vista.entity").TipoVista[];
                reduce(callbackfn: (previousValue: import("../tipo-vista/tipo-vista.entity").TipoVista, currentValue: import("../tipo-vista/tipo-vista.entity").TipoVista, currentIndex: number, array: import("../tipo-vista/tipo-vista.entity").TipoVista[]) => import("../tipo-vista/tipo-vista.entity").TipoVista): import("../tipo-vista/tipo-vista.entity").TipoVista;
                reduce(callbackfn: (previousValue: import("../tipo-vista/tipo-vista.entity").TipoVista, currentValue: import("../tipo-vista/tipo-vista.entity").TipoVista, currentIndex: number, array: import("../tipo-vista/tipo-vista.entity").TipoVista[]) => import("../tipo-vista/tipo-vista.entity").TipoVista, initialValue: import("../tipo-vista/tipo-vista.entity").TipoVista): import("../tipo-vista/tipo-vista.entity").TipoVista;
                reduce<U>(callbackfn: (previousValue: U, currentValue: import("../tipo-vista/tipo-vista.entity").TipoVista, currentIndex: number, array: import("../tipo-vista/tipo-vista.entity").TipoVista[]) => U, initialValue: U): U;
                reduceRight(callbackfn: (previousValue: import("../tipo-vista/tipo-vista.entity").TipoVista, currentValue: import("../tipo-vista/tipo-vista.entity").TipoVista, currentIndex: number, array: import("../tipo-vista/tipo-vista.entity").TipoVista[]) => import("../tipo-vista/tipo-vista.entity").TipoVista): import("../tipo-vista/tipo-vista.entity").TipoVista;
                reduceRight(callbackfn: (previousValue: import("../tipo-vista/tipo-vista.entity").TipoVista, currentValue: import("../tipo-vista/tipo-vista.entity").TipoVista, currentIndex: number, array: import("../tipo-vista/tipo-vista.entity").TipoVista[]) => import("../tipo-vista/tipo-vista.entity").TipoVista, initialValue: import("../tipo-vista/tipo-vista.entity").TipoVista): import("../tipo-vista/tipo-vista.entity").TipoVista;
                reduceRight<U>(callbackfn: (previousValue: U, currentValue: import("../tipo-vista/tipo-vista.entity").TipoVista, currentIndex: number, array: import("../tipo-vista/tipo-vista.entity").TipoVista[]) => U, initialValue: U): U;
                find<S extends import("../tipo-vista/tipo-vista.entity").TipoVista>(predicate: (value: import("../tipo-vista/tipo-vista.entity").TipoVista, index: number, obj: import("../tipo-vista/tipo-vista.entity").TipoVista[]) => value is S, thisArg?: any): S;
                find(predicate: (value: import("../tipo-vista/tipo-vista.entity").TipoVista, index: number, obj: import("../tipo-vista/tipo-vista.entity").TipoVista[]) => unknown, thisArg?: any): import("../tipo-vista/tipo-vista.entity").TipoVista;
                findIndex(predicate: (value: import("../tipo-vista/tipo-vista.entity").TipoVista, index: number, obj: import("../tipo-vista/tipo-vista.entity").TipoVista[]) => unknown, thisArg?: any): number;
                fill(value: import("../tipo-vista/tipo-vista.entity").TipoVista, start?: number, end?: number): import("../tipo-vista/tipo-vista.entity").TipoVista & import("../tipo-vista/tipo-vista.entity").TipoVista[];
                copyWithin(target: number, start: number, end?: number): import("../tipo-vista/tipo-vista.entity").TipoVista & import("../tipo-vista/tipo-vista.entity").TipoVista[];
                entries(): ArrayIterator<[number, import("../tipo-vista/tipo-vista.entity").TipoVista]>;
                keys(): ArrayIterator<number>;
                values(): ArrayIterator<import("../tipo-vista/tipo-vista.entity").TipoVista>;
                includes(searchElement: import("../tipo-vista/tipo-vista.entity").TipoVista, fromIndex?: number): boolean;
                flatMap<U, This = undefined>(callback: (this: This, value: import("../tipo-vista/tipo-vista.entity").TipoVista, index: number, array: import("../tipo-vista/tipo-vista.entity").TipoVista[]) => U | readonly U[], thisArg?: This): U[];
                flat<A, D extends number = 1>(this: A, depth?: D): FlatArray<A, D>[];
                [Symbol.iterator](): ArrayIterator<import("../tipo-vista/tipo-vista.entity").TipoVista>;
                [Symbol.unscopables]: {
                    [x: number]: boolean;
                    length?: boolean;
                    toString?: boolean;
                    toLocaleString?: boolean;
                    pop?: boolean;
                    push?: boolean;
                    concat?: boolean;
                    join?: boolean;
                    reverse?: boolean;
                    shift?: boolean;
                    slice?: boolean;
                    sort?: boolean;
                    splice?: boolean;
                    unshift?: boolean;
                    indexOf?: boolean;
                    lastIndexOf?: boolean;
                    every?: boolean;
                    some?: boolean;
                    forEach?: boolean;
                    map?: boolean;
                    filter?: boolean;
                    reduce?: boolean;
                    reduceRight?: boolean;
                    find?: boolean;
                    findIndex?: boolean;
                    fill?: boolean;
                    copyWithin?: boolean;
                    entries?: boolean;
                    keys?: boolean;
                    values?: boolean;
                    includes?: boolean;
                    flatMap?: boolean;
                    flat?: boolean;
                    [Symbol.iterator]?: boolean;
                    readonly [Symbol.unscopables]?: boolean;
                    at?: boolean;
                };
                at(index: number): import("../tipo-vista/tipo-vista.entity").TipoVista;
            };
            id: number;
            nombre: string;
            deleted_at: Date;
            tipo_vista_id: number;
            inmuebleVistas: import("../inmueble-vistas/inmueble-vistas.entity").InmuebleVistas[];
            perfil?: string;
        };
        status: HttpStatus;
        message: string;
    }>;
    deleteVista(id: number): Promise<HttpException | import("typeorm").UpdateResult>;
}
